Bug 256449

Summary: security/nacl: Deprecate and set expiration date to 2021-12-31
Product: Ports & Packages Reporter: Daniel Engberg <diizzy>
Component: Individual Port(s)Assignee: Hiroki Sato <hrs>
Status: Closed FIXED    
Severity: Affects Only Me Flags: bugzilla: maintainer-feedback? (hrs)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch for nacl
none
Update expire date to 2021-12-31 none

Description Daniel Engberg freebsd_committer 2021-06-06 18:18:16 UTC
Created attachment 225603 [details]
Patch for nacl

No new release for over 10 years and pretty much "any" user of NaCl have migrated to libsodium or at least really should by now. We have no users left in ports except for djbdns which is broken.
Comment 1 Daniel Engberg freebsd_committer 2021-09-29 05:52:26 UTC
Created attachment 228235 [details]
Update expire date to 2021-12-31

Extend date to the end of the year
Comment 2 commit-hook freebsd_committer 2021-09-29 07:43:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=69ef46ace5bddf813e9473551c24e14b38fc48f7

commit 69ef46ace5bddf813e9473551c24e14b38fc48f7
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-29 07:17:04 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-29 07:42:27 +0000

    security/nacl: Deprecate and set expiration date to 2021-12-31

    No new release for over 10 years and pretty much "any" user of NaCl have
    migrated to security/libsodium or at least really should by now.
    We have no users left in ports except for dns/djbdns which is "half" broken
    and support isn't enabled by default.

    PR:             256449
    Approved by:    port maintainer timeout (3 months), arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32215

 security/nacl/Makefile | 3 +++
 1 file changed, 3 insertions(+)